{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

<submission-form selector="#{{ collections_form.submit.id }}">
  {{ render_csrf() }}

  <dynamic-select-field endpoint="{{ url_for('api.select_collections') }}"
                        placeholder="{% trans %}Search for collections{% endtrans %}"
                        :field="{{ json_field(collections_form.collections) }}"
                        :request-params="{action: ['read', 'link']}"
                        :multiple="true">
  </dynamic-select-field>
  <submit-field :field="{{ json_field(collections_form.submit) }}"></submit-field>
</submission-form>
<hr>
<resource-links title="{% trans %}Linked collections{% endtrans %}"
                placeholder="{% trans %}No collections.{% endtrans %}"
                endpoint="{{ url_for('api.get_record_collections', id=record.id, action=['link']) }}">
</resource-links>
